Function initBlueBox()
    System.Gadget.Flyout.file = "flyout.htm"
    
    Set colKeys = document.getElementsByTagName("img")
    
    For Each key In colKeys
        With key
            .onMouseOver = GetRef("MouseOverKey")
            .onMouseDown = GetRef("MouseDownKey")
            .onMouseUp = GetRef("MouseOutKey")
            .onMouseOut = GetRef("MouseOutKey")
        End With
    Next
    
    GenerateLayout
End Function

Function MouseOverKey()
    window.event.srcElement.src = "images/" & Right(window.event.srcElement.id, 1) & "Hover.bmp"
End Function

Function MouseDownKey()
    window.event.srcElement.src = "images/" & Right(window.event.srcElement.id, 1) & "Mousedown.bmp"
    System.Sound.playSound("dtmf/" & Right(window.event.srcElement.id, 1) & ".wav")
End Function

Function MouseOutKey()
    window.event.srcElement.src = "images/" & Right(window.event.srcElement.id, 1) & "Normal.bmp"
End Function

Function GenerateLayout()
    If Not System.Gadget.docked Then
        GenerateUndockedLayout
    Else
        GenerateDockedLayout
    End If
End Function

Function GenerateUndockedLayout()
    'Call generateDockedLayout for now...
    GenerateDockedLayout
End Function

Function GenerateDockedLayout()
    With document.body.style
        .height = "125px"
        .width = "135px"
    End With
    
    System.Gadget.background = "url(images/bg.png)"
End Function

Function PlayDTMF()
    Select Case window.event.srcElement.value
        Case "*"
            System.Sound.playSound("dtmf/s.wav")
        Case "#"
            System.Sound.playSound("dtmf/p.wav")
        Case Else
            System.Sound.playSound("dtmf/" & window.event.srcElement.value & ".wav")
    End Select
End Function